Get a calendar event by ID

Fetches one calendar event visible to the caller, including organizer and attendees. An id that is unknown, belongs to another workspace or to an event the caller cannot see answers 404 not_found with customCode calendarEventNotFound. The id matches the entityId of the messaging.calendar.event.changed webhook event.

GET
/v1/messaging/calendar-events/{id}

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://customermates.com/api/v1/messaging/calendar-events/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "title": "string",
  "description": "string",
  "location": "string",
  "conferenceUrl": "string",
  "startsAt": "string",
  "endsAt": "string",
  "allDay": true,
  "timezone": "string",
  "recurrenceRule": "string",
  "status": "confirmed",
  "attendees": [
    {
      "email": "string",
      "displayName": "string",
      "responseStatus": "string",
      "isOrganizer": false
    }
  ],
  "organizer": {
    "email": "string",
    "displayName": "string",
    "responseStatus": "string",
    "isOrganizer": false
  },
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "connectedAccountId": "ac03972a-5ca5-43c5-b96f-c519ac843b7a",
  "calendarId": "9869a533-1db4-43d9-aed3-3d63324120f5",
  "provider": "google"
}
{
  "error": {
    "kind": "validation",
    "issues": [
      {
        "code": "string",
        "path": [
          "string"
        ],
        "message": "string",
        "customCode": "recordNotFound",
        "entitlement": "string"
      }
    ],
    "retryable": true
  }
}
{
  "error": {
    "kind": "validation",
    "issues": [
      {
        "code": "string",
        "path": [
          "string"
        ],
        "message": "string",
        "customCode": "recordNotFound",
        "entitlement": "string"
      }
    ],
    "retryable": true
  }
}
{
  "error": {
    "kind": "validation",
    "issues": [
      {
        "code": "string",
        "path": [
          "string"
        ],
        "message": "string",
        "customCode": "recordNotFound",
        "entitlement": "string"
      }
    ],
    "retryable": true
  }
}
{
  "error": {
    "kind": "validation",
    "issues": [
      {
        "code": "string",
        "path": [
          "string"
        ],
        "message": "string",
        "customCode": "recordNotFound",
        "entitlement": "string"
      }
    ],
    "retryable": true
  }
}
Empty